Subject: RE: bug#34684: 26.1; Strange characters when inserting date

From: "Wong, Philip" <[email-masked]>
Date: Mon, 11 Mar 2019 16:13:16 +0000

Chinese, Sunday to Saturday:
日
一
二
三
四
五
六

Attempting M-: (I hope I did this right, I pressed Alt + Shift + :, then copied and pasted your command)

No output but it says this on the bottom: 'Trailing garbage following expression'

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Monday, March 11, 2019 2:58 PM
To: Wong, Philip <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: bug#34684: 26.1; Strange characters when inserting date

> From: "Wong, Philip" <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, "[email-masked]"
> 	<[email-masked]>
> Date: Mon, 11 Mar 2019 10:47:00 +0000
> 
> Does the same thing

OK.  Can you send the list of abbreviated weekdays in your locale's language, as you expect them to be displayed?  Please send them as text, not as images.

Also, does this display the data correctly:

  M-: (insert (format-time-string "<%Y-%m-%d %a>" (current-time))) RET

or does it insert the same garbled characters?